<?php
namespace App\Photo\Validation;

use App\Http\Validation\ValidatorBase as Validator;

class PhotoValidator extends Validator
{
    protected $validator = [
        'uid'         => 'required',
        'pg_id'       => 'required',
        'cover'       => 'required',
        'extra_truing_price'  => 'required|numberic|min:0',
        'pg_id'       => 'required',
        'count'       => 'required|min:1',
    ];

    protected $message  = [
        'uid.required'                => '发送的用户不能为空',
        'extra_truing_price.required' => '请填写额外精修的单价',
        'extra_truing_price.numberic' => '额外精修的单价必须是数字',
        'extra_truing_price.min'      => '额外精修金额需为0或正整数',
        'count.required'              => '请填写选片数量',
        'count.min'                   => '选片数量必须大于0',
    ];
}